summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--python/pypy/README6
-rw-r--r--python/pypy/pypy.SlackBuild87
-rw-r--r--python/pypy/pypy.info10
-rw-r--r--python/pypy/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/python/pypy/README b/python/pypy/README
new file mode 100644
index 0000000000..c59a228256
--- /dev/null
+++ b/python/pypy/README
@@ -0,0 +1,6 @@
+PyPy is a very compliant implementation of the Python language. PyPy
+has several advantages and distinctive features: speed (Just-in-Time
+compiler), lower memory usage for large programs, sandboxing and
+stackless mode.
+
+This is a repackaging of the binaries provided by upstream.
diff --git a/python/pypy/pypy.SlackBuild b/python/pypy/pypy.SlackBuild
new file mode 100644
index 0000000000..c2f10080e4
--- /dev/null
+++ b/python/pypy/pypy.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for pypy
+
+# Copyright 2012 Audrius Ka┼żukauskas <audrius@neutrino.lt>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pypy
+VERSION=${VERSION:-1.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-linux$LIBDIRSUFFIX.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pypy-$VERSION
+cp -a \
+ bin/pypy include lib-python lib_pypy site-packages \
+ $PKG/usr/lib${LIBDIRSUFFIX}/pypy-$VERSION
+
+# Create a symlink to pypy binary.
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin
+ ln -sf ../lib${LIBDIRSUFFIX}/pypy-$VERSION/pypy pypy
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/pypy/pypy.info b/python/pypy/pypy.info
new file mode 100644
index 0000000000..eb00f8676a
--- /dev/null
+++ b/python/pypy/pypy.info
@@ -0,0 +1,10 @@
+PRGNAM="pypy"
+VERSION="1.9"
+HOMEPAGE="http://pypy.org/"
+DOWNLOAD="https://bitbucket.org/pypy/pypy/downloads/pypy-1.9-linux.tar.bz2"
+MD5SUM="1a08c88642434fc2e0e4256d351f48db"
+DOWNLOAD_x86_64="https://bitbucket.org/pypy/pypy/downloads/pypy-1.9-linux64.tar.bz2"
+MD5SUM_x86_64="201d2cce2557e40c784473b471ee1b6b"
+REQUIRES=""
+MAINTAINER="Audrius Ka┼żukauskas"
+EMAIL="audrius@neutrino.lt"
diff --git a/python/pypy/slack-desc b/python/pypy/slack-desc
new file mode 100644
index 0000000000..7e7300d29f
--- /dev/null
+++ b/python/pypy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pypy: PyPy (implementation of Python written in Python)
+pypy:
+pypy: PyPy is a very compliant implementation of the Python language. PyPy
+pypy: has several advantages and distinctive features: speed (Just-in-Time
+pypy: compiler), lower memory usage for large programs, sandboxing and
+pypy: stackless mode.
+pypy:
+pypy: Homepage: http://pypy.org/
+pypy:
+pypy:
+pypy: